extern void cia_init(void);
extern void cia_map(void);

extern ULO config_enableleds;

extern LON cia_next_event_time;  /* Cycle when next cia-event happen, measured from sof */
extern ULO cia_next_event_type;   /* What type of event */
extern void cia_handle_event(void);

/* Cia registers, index 0 is Cia A, index 1 is Cia B */

extern ULO cia_ta[2];
extern ULO cia_tb[2];
extern ULO cia_talatch[2];
extern ULO cia_tblatch[2];
extern ULO cia_taleft[2];
extern ULO cia_tbleft[2];
extern ULO cia_icrreq[2];
extern ULO cia_icrmsk[2];
extern ULO cia_evalarm[2];
extern ULO cia_evlatch[2];
extern ULO cia_evlatching[2];
extern ULO cia_evwritelatch[2];
extern ULO cia_evwritelatching[2];
extern ULO cia_evalarmlatch[2];
extern ULO cia_evalarmlatching[2];
extern ULO cia_ev[2];
extern ULO cia_cra[2];
extern ULO cia_crb[2];
extern ULO cia_pra[2];
extern ULO cia_prb[2];
extern ULO cia_ddra[2];
extern ULO cia_ddrb[2];
extern ULO cia_sp[2];

