/* Amiga keys */

#define A_NOKEY   0xff
#define A_ESC     0x45
#define A_1       0x01
#define A_2       0x02
#define A_3       0x03
#define A_4       0x04
#define A_5       0x05
#define A_6       0x06
#define A_7       0x07
#define A_8       0x08
#define A_9       0x09
#define A_0       0x0A
#define A_PLUS    0x0B
#define A_SMSLA   0x0C
#define A_BSLA    0x0D
#define A_BSPA    0x41
#define A_TAB     0x42
#define A_Q       0x10
#define A_W       0x11
#define A_E       0x12
#define A_R       0x13
#define A_T       0x14
#define A_Y       0x15
#define A_U       0x16
#define A_I       0x17
#define A_O       0x18
#define A_P       0x19
#define A_AA      0x1a
#define A_HAT     0x1b
#define A_RET     0x44
#define A_CTRL    0x63
#define A_A       0x20
#define A_S       0x21
#define A_D       0x22
#define A_F       0x23
#define A_G       0x24
#define A_H       0x25
#define A_J       0x26
#define A_K       0x27
#define A_L       0x28
#define A_OE      0x29
#define A_AE      0x2A
#define A_TILDE   0x00
#define A_RSHIFT  0x60
#define A_STAR    0x2B
#define A_Z       0x31
#define A_X       0x32
#define A_C       0x33
#define A_V       0x34
#define A_B       0x35
#define A_N       0x36
#define A_M       0x37
#define A_COMMA   0x38
#define A_DOT     0x39
#define A_QUEST   0x3A
#define A_LSHIFT  0x61
#define A_RALT    0x64
#define A_SPACE   0x40
#define A_KPDIV   0x5c
#define A_F1      0x50
#define A_F2      0x51
#define A_F3      0x52
#define A_F4      0x53
#define A_F5      0x54
#define A_F6      0x55
#define A_F7      0x56
#define A_F8      0x57
#define A_F9      0x58
#define A_F10     0x59
#define A_KPLBRA  0xff   /* Don't know the scancode for this one */
#define A_KP7     0x3d
#define A_KP8     0x3e
#define A_KP9     0x3f
#define A_KP4     0x2d
#define A_KP5     0x2e
#define A_KP6     0x2f
#define A_KP1     0x1d
#define A_KP2     0x1e
#define A_KP3     0x1f
#define A_KPSTAR  0x5d
#define A_KPPLUS  0x5e
#define A_KP0     0x0f
#define A_KPDOT   0x3c
#define A_CAPS    0x62
#define A_BRAC    0x30
#define A_HELP    0x5f
#define A_DEL     0x46
#define A_LAMIGA  0x66
#define A_RAMIGA  0x67
#define A_DOWN    0x4d
#define A_UP      0x4c
#define A_LEFT    0x4f
#define A_RIGHT   0x4e
#define A_KPMINUS 0x4a


